Add Current Insurance Policies
curl --request PUT \
--url https://sandbox-api.itscovered.com/lenders/v1/loans/{id}/current-insurance \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"currentInsurancePolicies": [
{
"carrier": "<string>",
"coverages": {},
"deductible": 123,
"expirationDate": "<string>",
"policyNumber": "<string>",
"policyType": "HO3",
"premium": 123
}
]
}
'import requests
url = "https://sandbox-api.itscovered.com/lenders/v1/loans/{id}/current-insurance"
payload = { "currentInsurancePolicies": [
{
"carrier": "<string>",
"coverages": {},
"deductible": 123,
"expirationDate": "<string>",
"policyNumber": "<string>",
"policyType": "HO3",
"premium": 123
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
currentInsurancePolicies: [
{
carrier: '<string>',
coverages: {},
deductible: 123,
expirationDate: '<string>',
policyNumber: '<string>',
policyType: 'HO3',
premium: 123
}
]
})
};
fetch('https://sandbox-api.itscovered.com/lenders/v1/loans/{id}/current-insurance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"currentInsurancePolicies": [
{
"carrier": "<string>",
"coverages": {
"a": {
"amount": 123,
"included": true
},
"b": {
"amount": 123,
"included": true
},
"c": {
"amount": 123,
"included": true
},
"computers": {
"amount": 123,
"included": true
},
"d": {
"amount": 123,
"included": true
},
"e": {
"amount": 123,
"included": true
},
"f": {
"amount": 123,
"included": true
},
"hvac": {
"amount": 123,
"included": true
},
"mineSubsidence": {
"amount": 123,
"included": true
},
"waterBackup": {
"amount": 123,
"included": true
}
},
"deductible": 123,
"expirationDate": "<string>",
"policyNumber": "<string>",
"policyType": "HO3",
"premium": 123
}
],
"id": "<string>"
}Endpoint Examples
Add Current Insurance Policies
Add current insurance policies to a loan application
PUT
/
v1
/
loans
/
{id}
/
current-insurance
Add Current Insurance Policies
Authorizations
JWT Token
Path Parameters
The unique identifier of the loan application
Example:
"693f2f46-69ff-4f20-a4d9-abe982d34fd4"
Body
application/jsonmultipart/form-datatext/plain
Show child attributes
Show child attributes
Was this page helpful?
⌘I